import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/u_k_report_working_hours_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/u_k_report_working_hours_entity.g.dart';

@JsonSerializable()
class UKReportWorkingHoursEntity {
	int total = 0;
	List<UKReportWorkingHoursRows> rows = [];

	UKReportWorkingHoursEntity();

	factory UKReportWorkingHoursEntity.fromJson(Map<String, dynamic> json) => $UKReportWorkingHoursEntityFromJson(json);

	Map<String, dynamic> toJson() => $UKReportWorkingHoursEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class UKReportWorkingHoursRows {
	@JSONField(name: "job_id")
	String? jobId;
	@JSONField(name: "job_date")
	String? jobDate;
	@JSONField(name: "department_name")
	String? departmentName;
	@JSONField(name: "job_title")
	String? jobTitle;
	@JSONField(name: "start_time")
	String? startTime;
	@JSONField(name: "end_time")
	String? endTime;
	@JSONField(name: "complete_num")
	String? completeNum;
	@JSONField(name: "working_hours")
	String? workingHours;

	UKReportWorkingHoursRows();

	factory UKReportWorkingHoursRows.fromJson(Map<String, dynamic> json) => $UKReportWorkingHoursRowsFromJson(json);

	Map<String, dynamic> toJson() => $UKReportWorkingHoursRowsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}